dbXML API

## org.dbxml.core
Class DocumentCache

    java.lang.Object
      |
      +--org.dbxml.core.DocumentCache

public final class DocumentCache
extends java.lang.Object

DocumentCache implements a simple Document caching system for Collections.

Constructor Summary
`DocumentCache()`

Method Summary
`static int` `getCacheControl(org.w3c.dom.Document doc)`
`org.w3c.dom.Document` `getDocument(Collection col, Key key)`
`void` `putDocument(Collection col, Key key, byte[] bytes)`
`void` `putDocument(Collection col, Key key, org.w3c.dom.Document doc)`
`void` `removeDocument(Collection col, Key key)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentCache

    public DocumentCache()

Method Detail

### getDocument

    public org.w3c.dom.Document getDocument(Collection col,
                                            Key key)

### putDocument

    public void putDocument(Collection col,
                            Key key,
                            byte[] bytes)

### putDocument

    public void putDocument(Collection col,
                            Key key,
                            org.w3c.dom.Document doc)

### removeDocument

    public void removeDocument(Collection col,
                               Key key)

### getCacheControl

    public static int getCacheControl(org.w3c.dom.Document doc)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved